class Block{
  boolean on;
  Block(){
    on = gen();
  }

  boolean gen(){
    boolean state;
    float num = random(1);
    if(num > 0.5){
      state = true;
    }
    else{
      state = false;
    }
    return state;
  }

  void display(float side, float x, float y){
    if(on){
      fill(0);
      noStroke();
      rectMode(CORNER);
      rect(x, y, side, side);
    }
  }
}

class BlockCol{
  Block[] elem;

  BlockCol(){
    elem = new Block[7];
    for (int i = 0; i < elem.length; i++){
      elem[i] = new Block();
    }
  }

  void displayCol(float side, float x, float y){
    for(int i = 0; i < 7; i++){
      elem[i].display(side, x, y + (i + 1) * side);      
    }
  }
}

class Invader{
  BlockCol[] col;
  float side, x, y;

  Invader(float side, float x, float y){
    this.side = side;
    this.x = x;
    this.y = y;
    col = new BlockCol[4];
    for(int i = 0; i < 4; i++){
      col[i] = new BlockCol();
    }
  }

  void displayInv(){
    col[0].displayCol(side/7, x, y);
    col[1].displayCol(side/7, x + side/7, y);
    col[2].displayCol(side/7, x + 2 * side/7, y);
    col[3].displayCol(side/7, x + 3 * side/7, y);
    col[2].displayCol(side/7, x + 4 * side/7, y);
    col[1].displayCol(side/7, x + 5 * side/7, y);
    col[0].displayCol(side/7, x + 6 * side/7, y);
  } 
}
