/**

 Marcianitos, por Herbert Spencer
 conos de 7 x 7 pixeles generados aleatoriamente
 (basado en el concepto de 'invaders' por Jared Tarbell)
 
*/


int numX = 20;
int numY = 26;
float margen = 100;

int count;

Invader[] av;

void setup(){
  size(612, 792, PDF, "marcianitos.pdf");
 
  background(255);
  av = new Invader[numX*numY];
  count = 0;

  float spacerY = ((float)height - (2 * margen))/((float)(numY*2) - 1); 
  float spacerX =  ((float)width - (2 * margen))/((float)(numX*2) - 1);
  
  for(int i = 0; i < numY; i ++){
    for(int j = 0; j < numX; j ++){
      av[count] = new Invader(spacerX, margen + (float)2*j*spacerX, margen + (float)2*i*spacerY);
      count++;
    }
  }
  noSmooth();
  noLoop();
}

void draw(){
  for(int i = 0; i < count; i++){
    av[i].displayInv();
  }
  println("listoko!  aprete CTRL + K para ver el PDF");
 exit();
}
